=== debian/changelog ===
mender-client4 (5.1.0~git20250924.f8a26fab-1+ubuntu+noble+builder2070485967) experimental; urgency=medium

  * Release 5.1.0~git20250924.f8a26fab-1+ubuntu+noble+builder2070485967.
    See online docs for complete changelog

 -- root <root@41f83f0f8390>  Mon, 29 Sep 2025 20:09:10 +0000
