## mender-client4 5.1.0~git20250930.fe270ec0

=== debian/changelog ===
mender-client4 (5.1.0~git20250930.fe270ec0-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 5.1.0~git20250930.fe270ec0-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@b521da429a65>  Tue, 30 Sep 2025 20:12:21 +0000
