## mender-client4 5.1.0~git20251002.54856038

=== debian/changelog ===
mender-client4 (5.1.0~git20251002.54856038-1+ubuntu+noble+builder2077236201) experimental; urgency=medium

  * Release 5.1.0~git20251002.54856038-1+ubuntu+noble+builder2077236201.
    See online docs for complete changelog

 -- root <root@f91938c1c098>  Thu, 02 Oct 2025 20:14:38 +0000
