## mender-client4 5.1.0~git20251003.f0e95e4b

=== debian/changelog ===
mender-client4 (5.1.0~git20251003.f0e95e4b-1+ubuntu+noble+builder2082176904) experimental; urgency=medium

  * Release 5.1.0~git20251003.f0e95e4b-1+ubuntu+noble+builder2082176904.
    See online docs for complete changelog

 -- root <root@548f5a64a896>  Sun, 05 Oct 2025 20:32:46 +0000
