## mender-client4 5.1.0~git20251006.a2835819

=== debian/changelog ===
mender-client4 (5.1.0~git20251006.a2835819-2+ubuntu+noble+builder2092099627) experimental; urgency=medium

  * Release 5.1.0~git20251006.a2835819-2+ubuntu+noble+builder2092099627.
    See online docs for complete changelog

 -- root <root@dd8648465163>  Fri, 10 Oct 2025 07:38:35 +0000
