=== modules-artifact-gen/tests/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
exceptiongroup==1.1.3
    # via pytest
iniconfig==2.0.0
    # via pytest
packaging==23.1
    # via pytest
pluggy==1.5.0
    # via pytest
pygments==2.19.1
    # via pytest
pytest==8.4.2
    # via -r requirements.in
tomli==2.0.1
    # via pytest
