=== debian/changelog ===
mender-client4 (5.1.0~git20251031.bef0f8f3-1+ubuntu+noble+builder2134755934) experimental; urgency=medium

  * Release 5.1.0~git20251031.bef0f8f3-1+ubuntu+noble+builder2134755934.
    See online docs for complete changelog

 -- root <root@1330dd436621>  Sat, 01 Nov 2025 20:10:10 +0000
