## mender-client4 5.1.0~git20251102.74b2ac07

=== debian/changelog ===
mender-client4 (5.1.0~git20251102.74b2ac07-1+ubuntu+noble+builder2142334790) experimental; urgency=medium

  * Release 5.1.0~git20251102.74b2ac07-1+ubuntu+noble+builder2142334790.
    See online docs for complete changelog

 -- root <root@0e21aa8b1024>  Wed, 05 Nov 2025 20:24:30 +0000
