## mender-client4 5.1.0~git20251106.cb5ea868

=== debian/changelog ===
mender-client4 (5.1.0~git20251106.cb5ea868-1+ubuntu+noble+builder2157571997) experimental; urgency=medium

  * Release 5.1.0~git20251106.cb5ea868-1+ubuntu+noble+builder2157571997.
    See online docs for complete changelog

 -- root <root@9e234b642fc2>  Thu, 13 Nov 2025 20:08:39 +0000
