=== debian/changelog ===
mender-client4 (5.1.0~git20251114.a9229d68-1+ubuntu+noble+builder2164645062) experimental; urgency=medium

  * Release 5.1.0~git20251114.a9229d68-1+ubuntu+noble+builder2164645062.
    See online docs for complete changelog

 -- root <root@b674501b5c25>  Tue, 18 Nov 2025 09:34:29 +0000
