=== debian/changelog ===
mender-client4 (5.1.0~git20251119.82c06f1d-1+ubuntu+noble+builder2170695238) experimental; urgency=medium

  * Release 5.1.0~git20251119.82c06f1d-1+ubuntu+noble+builder2170695238.
    See online docs for complete changelog

 -- root <root@aaa9b6ac6eed>  Thu, 20 Nov 2025 20:25:28 +0000
