## mender-client4 5.1.0~git20251121.cd28df6a

=== debian/changelog ===
mender-client4 (5.1.0~git20251121.cd28df6a-1+ubuntu+noble+builder2186766951) experimental; urgency=medium

  * Release 5.1.0~git20251121.cd28df6a-1+ubuntu+noble+builder2186766951.
    See online docs for complete changelog

 -- root <root@6a6cbed7ba9b>  Sat, 29 Nov 2025 20:08:38 +0000
