## mender-client4 5.1.0~git20251130.9fa46f7e

=== debian/changelog ===
mender-client4 (5.1.0~git20251130.9fa46f7e-1+ubuntu+noble+builder2200846825) experimental; urgency=medium

  * Release 5.1.0~git20251130.9fa46f7e-1+ubuntu+noble+builder2200846825.
    See online docs for complete changelog

 -- root <root@0f447f04d8bd>  Sun, 07 Dec 2025 20:08:25 +0000
