## mender-client4 5.1.0~git20251208.cd0537f1

=== client_shared/CMakeLists.txt ===
add_library(client_shared_config_parser STATIC config_parser/config_parser.cpp)
target_link_libraries(client_shared_config_parser PUBLIC common_json common_log common_device_tier)

add_library(client_shared_identity_parser STATIC identity_parser/identity_parser.cpp)
target_link_libraries(client_shared_identity_parser PUBLIC common_key_value_parser common_processes common_json)

add_library(client_shared_inventory_parser STATIC)
target_sources(client_shared_inventory_parser PRIVATE inventory_parser/platform/c++17/inventory_parser.cpp)
target_compile_options(client_shared_inventory_parser PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(client_shared_inventory_parser PUBLIC common_key_value_parser common_processes common_log)

add_library(client_shared_conf STATIC conf/conf.cpp conf/conf_cli_help.cpp)
target_link_libraries(client_shared_conf PUBLIC common_http common_log common_error common_path client_shared_config_parser)
