=== modules-artifact-gen/tests/requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     # via pytest
 pygments==2.19.1
     # via pytest
-pytest==9.0.0
+pytest==9.0.1
     # via -r requirements.in
 tomli==2.0.1
     # via pytest
