=== debian/changelog ===
mender-client4 (5.1.0~git20251208.cd0537f1-1+ubuntu+noble+builder2202837318) experimental; urgency=medium

  * Release 5.1.0~git20251208.cd0537f1-1+ubuntu+noble+builder2202837318.
    See online docs for complete changelog

 -- root <root@a5a162fc0419>  Mon, 08 Dec 2025 20:07:38 +0000
