## mender-client4 5.1.0~git20251209.77d512fa

=== debian/changelog ===
mender-client4 (5.1.0~git20251209.77d512fa-1+ubuntu+noble+builder2205195466) experimental; urgency=medium

  * Release 5.1.0~git20251209.77d512fa-1+ubuntu+noble+builder2205195466.
    See online docs for complete changelog

 -- root <root@f2d07e302dfd>  Tue, 09 Dec 2025 20:09:41 +0000
