## mender-client4 5.1.0~git20251210.ba509b74

=== modules-artifact-gen/tests/requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     # via pytest
 pygments==2.19.1
     # via pytest
-pytest==9.0.1
+pytest==9.0.2
     # via -r requirements.in
 tomli==2.0.1
     # via pytest
