=== debian/changelog ===
mender-client4 (5.1.0~git20251210.ba509b74-1+ubuntu+noble+builder2214097146) experimental; urgency=medium

  * Release 5.1.0~git20251210.ba509b74-1+ubuntu+noble+builder2214097146.
    See online docs for complete changelog

 -- root <root@bf1b8b55d1fd>  Sun, 14 Dec 2025 20:08:11 +0000
