=== debian/changelog ===
mender-client4 (5.1.0~git20251216.071df7a3-1+ubuntu+noble+builder2223060572) experimental; urgency=medium

  * Release 5.1.0~git20251216.071df7a3-1+ubuntu+noble+builder2223060572.
    See online docs for complete changelog

 -- root <root@033b85f736fc>  Thu, 18 Dec 2025 20:08:34 +0000
