## mender-client4 5.1.0~git20251219.212b6a77

=== debian/changelog ===
mender-client4 (5.1.0~git20251219.212b6a77-1+ubuntu+noble+builder2224425393) experimental; urgency=medium

  * Release 5.1.0~git20251219.212b6a77-1+ubuntu+noble+builder2224425393.
    See online docs for complete changelog

 -- root <root@1444a39b92a1>  Fri, 19 Dec 2025 12:40:37 +0000
