## mender-client4 5.1.0~git20251222.fbae1d76

=== debian/changelog ===
mender-client4 (5.1.0~git20251222.fbae1d76-1+ubuntu+noble+builder2241044353) experimental; urgency=medium

  * Release 5.1.0~git20251222.fbae1d76-1+ubuntu+noble+builder2241044353.
    See online docs for complete changelog

 -- root <root@6c0d4101eba7>  Thu, 01 Jan 2026 20:08:27 +0000
