=== debian/changelog ===
mender-client4 (5.1.0~git20260105.fb77688f-1+ubuntu+noble+builder2252445003) experimental; urgency=medium

  * Release 5.1.0~git20260105.fb77688f-1+ubuntu+noble+builder2252445003.
    See online docs for complete changelog

 -- root <root@110cacb42b94>  Thu, 08 Jan 2026 20:09:08 +0000
