## mender-client4 5.1.0~git20260109.2cae2f4b

=== debian/changelog ===
mender-client4 (5.1.0~git20260109.2cae2f4b-1+ubuntu+noble+builder2256632661) experimental; urgency=medium

  * Release 5.1.0~git20260109.2cae2f4b-1+ubuntu+noble+builder2256632661.
    See online docs for complete changelog

 -- root <root@51ae0f8d734d>  Sun, 11 Jan 2026 20:18:15 +0000
