## mender-client4 5.1.0~git20260112.64eea292

=== debian/changelog ===
mender-client4 (5.1.0~git20260112.64eea292-1+ubuntu+noble+builder2258752316) experimental; urgency=medium

  * Release 5.1.0~git20260112.64eea292-1+ubuntu+noble+builder2258752316.
    See online docs for complete changelog

 -- root <root@cb86075af5f4>  Mon, 12 Jan 2026 20:24:36 +0000
