=== debian/changelog ===
mender-client4 (5.1.0~git20260113.09a6cc38-1+ubuntu+noble+builder2269192253) experimental; urgency=medium

  * Release 5.1.0~git20260113.09a6cc38-1+ubuntu+noble+builder2269192253.
    See online docs for complete changelog

 -- root <root@15b7ea89eb6f>  Sat, 17 Jan 2026 20:09:04 +0000
