## mender-client4 5.1.0~git20260118.de700319

=== debian/changelog ===
mender-client4 (5.1.0~git20260118.de700319-1+ubuntu+noble+builder2270116093) experimental; urgency=medium

  * Release 5.1.0~git20260118.de700319-1+ubuntu+noble+builder2270116093.
    See online docs for complete changelog

 -- root <root@a01adc956bef>  Sun, 18 Jan 2026 20:09:14 +0000
