## mender-client4 5.1.0~git20260120.be287a76

=== debian/changelog ===
mender-client4 (5.1.0~git20260120.be287a76-1+ubuntu+noble+builder2274676335) experimental; urgency=medium

  * Release 5.1.0~git20260120.be287a76-1+ubuntu+noble+builder2274676335.
    See online docs for complete changelog

 -- root <root@7c47aa51c32b>  Tue, 20 Jan 2026 20:08:55 +0000
